classification
Title: 1515169 fix (ImportWarning flood)
Type: Stage:
Components: Interpreter Core Versions: Python 2.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: nnorwitz Nosy List: hathawsh, nnorwitz, sergeyli
Priority: normal Keywords: patch

Created on 2006-06-30 23:16 by hathawsh, last changed 2006-07-06 04:29 by nnorwitz. This issue is now closed.

Files
File name Uploaded Description Edit
importwarning.patch hathawsh, 2006-06-30 23:16 importwarning.patch
Messages (3)
msg50574 - (view) Author: Shane Hathaway (hathawsh) Date: 2006-06-30 23:16
This patch to import.c only generates ImportWarnings if
the import fails.  It also fixes what appear to be
memory leaks involving the "copy" variable.

This patch applies to Python 2.5b1.
msg50575 - (view) Author: Sergey (sergeyli) Date: 2006-07-01 18:10
Logged In: YES 
user_id=141494

See also an alternative python.org/sf/1515609. Mine doesn't
have the memory leak fix.
msg50576 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2006-07-06 04:29
Logged In: YES 
user_id=33168

Shane, thanks for the patch.

The decision was made to simply ignore the warning by
default.  I'm closing it because we are taking a different
approach at this time.  We will revisit the decision for
2.6.  I hope you continue reading python-dev and help us fix
this better for 2.6, whatever that may be.  Perhaps this
patch will be revived at that time.

I have added a link to this patch in PEP 361.

I agree with the memory leaks wrt to copy and have checked
in changes that should address all the leaks.  Let me know
if you spot other ones (or I made a mistake).
History
Date User Action Args
2006-06-30 23:16:19hathawshcreate